%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name color

Name: %{?scl_prefix}nodejs-color
Version: 3.0.0
Release: 1%{?dist}
Summary: Color conversion and manipulation with CSS string support
License: MIT
Group: Development/Libraries
URL: https://github.com/Qix-/color#readme
Source0: https://registry.npmjs.org/color/-/color-%{version}.tgz
%if 0%{?!scl:1}
BuildRequires: nodejs-packaging
%endif
Requires: npm(color-convert) >= 1.9.1
Requires: npm(color-convert) < 2.0.0
Requires: npm(color-string) >= 1.5.2
Requires: npm(color-string) < 2.0.0
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

%changelog
